// -*- Mode: Go; indent-tabs-mode: t -*-

/*
 * Copyright (C) 2014-2015 Canonical Ltd
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 3 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

package i18n

import (
	"os"
	"strings"
)

func simplifyLocale(loc string) string {
	// de_DE.UTF-8, de_DE@euro all need to get simplified
	loc = strings.Split(loc, "@")[0]
	loc = strings.Split(loc, ".")[0]

	return loc
}

func localeFromEnv() string {
	loc := os.Getenv("LC_MESSAGES")
	if loc == "" {
		loc = os.Getenv("LANG")
	}

	return loc
}

func CurrentLocale() string {
	return simplifyLocale(localeFromEnv())
}

// G is the shorthand for Gettext
func G(msgid string) string {
	return msgid
}

// NG is the shorthand for NGettext
func NG(msgid string, msgidPlural string, n int) string {
	if n == 1 {
		return msgid
	} else {
		return msgidPlural
	}
}
